﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="AsyncUploadPostBackTrigger.aspx.cs" Inherits="AsyncUploadPostBackTrigger" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <div>
            <script type="text/javascript">
                function pageLoad() {
                    var asyncUpload = $find("<%= RadAsyncUpload1.ClientID %>");
                    var filesCount = asyncUpload.getUploadedFiles().length;
                    if (filesCount > 0) {
                        $telerik.$(".uploadLabel").html(filesCount + " uploaded out of 5 required files.");
                    }
                    if (filesCount == 5) {
                        $telerik.$("#Button1").show();
                        $telerik.$(".uploadLabel").html("");
                    }

                }

                function OnClientFileUploaded(sender, args) {
                    var uploadedFiles = sender.getUploadedFiles();
                    var filesCount = uploadedFiles.length;
                    if (filesCount == 5) {
                        $telerik.$("#Button1").show();
                        $telerik.$(".uploadLabel").html("");
                    }
                    else {
                        $telerik.$(".uploadLabel").html(filesCount + " uploaded out of 5 required files.");
                    }
                }
            </script>

            
            <telerik:RadAsyncUpload runat="server" ID="RadAsyncUpload1"
                 MultipleFileSelection="Automatic" TargetFolder="~/Uploads" PostbackTriggers="Button1" OnClientFileUploaded="OnClientFileUploaded"></telerik:RadAsyncUpload>

            <label class="uploadLabel"> </label>
            <asp:Button Text="DoPostBack" ID="Button2" runat="server" />
            <asp:Button  ID="Button1" runat="server" Text="Upload" Style="display: none;"></asp:Button>
        </div>
    </form>
</body>
</html>
